Bug 1383961 - it should be an embedded etcd instead of a separate etcd instance when quick install with one master
Summary: it should be an embedded etcd instead of a separate etcd instance when quick ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 3.3.1
Assignee: Samuel Munilla
QA Contact: liujia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-12 09:13 UTC by liujia
Modified: 2016-11-15 19:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 19:09:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2778 0 normal SHIPPED_LIVE Moderate: atomic-openshift-utils security and bug fix update 2016-11-16 00:08:29 UTC

Description liujia 2016-10-12 09:13:04 UTC
Description of problem:
Run quick install in env with one master specified, it will install a separate etcd instance in master instead of an embedded one and there will be [etcd] group in hosts file generated by installer tool. 

Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.3.34-1.git.0.5b998bb.el7.noarch

How reproducible:
always

Steps to Reproduce:
1.run quick install 
#atomic-openshift-installer install

2.only one master specified according to hint, and the installation sumarry is as follows:

*** Installation Summary ***

Hosts:
- openshift-118.lab.eng.nay.redhat.com
  - OpenShift master
  - OpenShift node
  - Etcd (Embedded)
  - Storage

Total OpenShift masters: 1
Total OpenShift nodes: 1


Actual results:
After installation completed, checked that it actually install a separated etcd but not an embedded one as described in summary. Btw, the hosts file generated by installer had a [etcd] group.
[OSEv3:children]
nodes
masters
nfs
etcd


Expected results:
It should be an embedded etcd installed and no [etcd] in hosts.

Additional info:

Comment 1 Scott Dodson 2016-10-28 14:23:50 UTC
We actually really want to deploy external etcd rather than using embedded because this is a more robust solution.

Comment 2 liujia 2016-10-31 02:25:10 UTC
(In reply to Scott Dodson from comment #1)
> We actually really want to deploy external etcd rather than using embedded
> because this is a more robust solution.

@Scott

If we deploy external etcd instead of embeded one, then what means "embeded" in the summary message output by install tool as following in this case:
<--snip-->
*** Installation Summary ***

Hosts:
- openshift-118.lab.eng.nay.redhat.com
  - OpenShift master
  - OpenShift node
  - Etcd (Embedded)
  - Storage

Total OpenShift masters: 1
Total OpenShift nodes: 1
<--snip-->

and the hint message for user:
<-snip-->
If only one master is specified, an etcd instance is embedded within the
OpenShift master service to use as the datastore. This can be later replaced
with a separate etcd instance, if required. If multiple masters are specified,
then a separate etcd cluster is configured with each master serving as a member.
<--snip-->

The actual deploy is not corresponding with the interactive hint for user. So i think it is a bug which need to be fixed. And if we choose a more robust solution(using external etcd), then we should update the output message to get rid of misunderstanding.

Comment 3 Scott Dodson 2016-10-31 12:12:12 UTC
Sorry, didn't realize the text said that. Assigning to Sam to get that bit updated.

Comment 4 liujia 2016-11-01 01:27:25 UTC
(In reply to Scott Dodson from comment #3)
> Sorry, didn't realize the text said that. Assigning to Sam to get that bit
> updated.

Nothing seriously:)
I thought it is an embed one according those messages and should be what we want, so i didn't specify the misunderstanding between them again, which maybe not clear for u to catch.

Comment 5 openshift-github-bot 2016-11-02 15:08:08 UTC
Commit pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/48861efef6dab6bde2d540ffb362f57f8650b6ba
Update installation summary for etcd members

We have changed how we assign etcd members in the quick
installer. This updates our messaging to match those changes.

Fixes Bug 1383961
Fixes Bug 1389649

Comment 7 liujia 2016-11-03 05:33:49 UTC
Version:
atomic-openshift-utils-3.4.16-1.git.0.c846018.el7.noarch

Steps:
1.run quick install 
#atomic-openshift-installer install

Result:
1. there is no embeded or separated etcd hint message in "*** Host Configuration ***" now.
2. the installation summary have been updated to be corresponding with actual deploy(separated one)
*** Installation Summary ***

Hosts:
- openshift-118.lab.eng.nay.redhat.com
  - OpenShift master
  - OpenShift node
  - Etcd
- openshift-116.lab.eng.nay.redhat.com
  - Storage
3. the install succeed and etcd has been deployed as a standalone process in master host

Comment 8 errata-xmlrpc 2016-11-15 19:09:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:2778


Note You need to log in before you can comment on or make changes to this bug.